Method: projects.locations.volumes.getSplitStatus

Retrieves the current state, progress, and details of a split operation for a volume. This method is relevant when the volume is a clone. For volumes that are not clones, this method will return an error.

HTTP request


GET https://netapp.googleapis.com/v1alpha1/{name=projects/*/locations/*/volumes/*}:getSplitStatus

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The full name of the volume. Format: projects/{projectNumber}/locations/{location}/volumes/{volumeId}

Request body

The request body must be empty.

Response body

Message for SplitStatus.

If successful, the response body contains data with the following structure:

JSON representation
{
  "splitState": enum (SplitState),
  "stateDetails": string,
  "progressPercent": integer
}
Fields
splitState

enum (SplitState)

Output only. The current state of the clone split operation.

stateDetails

string

Output only. Human-readable details about the current state. Mostly used for displaying error messages during split failure Examples: "Split in progress", "Error: insufficient capacity".

progressPercent

integer

Output only. The estimated progress percentage of the split operation (0-100). This is meaningful primarily when splitState is IN_PROGRESS.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • netapp.volumes.get

For more information, see the IAM documentation.